Package commoble.jumbofurnace.recipes

# Class ClaimableRecipeWrapper

java.lang.Object
net.minecraftforge.items.wrapper.RecipeWrapper
commoble.jumbofurnace.recipes.ClaimableRecipeWrapper

All Implemented Interfaces:
  `net.minecraft.world.Clearable`, `net.minecraft.world.Container`

public class ClaimableRecipeWrapper extends net.minecraftforge.items.wrapper.RecipeWrapper

## Field Summary

### Fields inherited from class net.minecraftforge.items.wrapper.RecipeWrapper

`inv`

### Fields inherited from interface net.minecraft.world.Container

`DEFAULT_DISTANCE_LIMIT, LARGE_MAX_STACK_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`ClaimableRecipeWrapper(net.minecraftforge.items.IItemHandlerModifiable inv)`

## Method Summary

Modifier and Type
Method
Description
`net.minecraftforge.items.IItemHandler`
`getItemsBeingSmelted()`
`int`
`getRecipeCount()`
`List<net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>>`
`getRecipes()`
`net.minecraftforge.items.IItemHandler`
`getUnusedInputs()`
Returns a COPY of the list of non-empty items that haven't been claimed as recipe inputs.
`boolean`
`hasUnusedInputsLeft()`
`boolean`
`matchAndClaimInputs(net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper> recipe, net.minecraft.world.level.Level world)`

### Methods inherited from class net.minecraftforge.items.wrapper.RecipeWrapper

`canPlaceItem, clearContent, getContainerSize, getItem, getMaxStackSize, isEmpty, removeItem, removeItemNoUpdate, setChanged, setItem, startOpen, stillValid, stopOpen`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.Container

`canTakeItem, countItem, hasAnyMatching, hasAnyOf`

## Constructor Details

### ClaimableRecipeWrapper

public ClaimableRecipeWrapper(net.minecraftforge.items.IItemHandlerModifiable inv)

## Method Details

### getRecipes

public List<net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper>> getRecipes()

### getItemsBeingSmelted

public net.minecraftforge.items.IItemHandler getItemsBeingSmelted()

### getRecipeCount

public int getRecipeCount()

### hasUnusedInputsLeft

public boolean hasUnusedInputsLeft()

### getUnusedInputs

public net.minecraftforge.items.IItemHandler getUnusedInputs()
Returns a COPY of the list of non-empty items that haven't been claimed as recipe inputs. The items are also copies.

Returns:

### matchAndClaimInputs

public boolean matchAndClaimInputs(net.minecraft.world.item.crafting.Recipe<ClaimableRecipeWrapper> recipe, net.minecraft.world.level.Level world)